| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
cv::linemod::Modality Class Referenceabstract
RGB-Depth Processing

Interface for modalities that plug into the LINE template matching representation. More...

`#include <opencv2/rgbd/linemod.hpp>`

Collaboration diagram for cv::linemod::Modality:

## Public Member Functions
virtual | ~Modality ()
virtual String | name () const =0
Ptr< QuantizedPyramid > | process (const Mat &src, const Mat &mask=Mat()) const
| Form a quantized image pyramid from a source image.
virtual void | read (const FileNode &fn)=0
virtual void | write (FileStorage &fs) const =0

## Static Public Member Functions
static Ptr< Modality > | create (const FileNode &fn)
| Load a modality from file.
static Ptr< Modality > | create (const String &modality_type)
| Create modality by name.

## Protected Member Functions
virtual Ptr< QuantizedPyramid > | processImpl (const Mat &src, const Mat &mask) const =0

## Detailed Description

Interface for modalities that plug into the LINE template matching representation.

Todo
  Max response, to allow optimization of summing (255/MAX) features as uint8

## Constructor & Destructor Documentation

## ◆ ~Modality()

virtual cv::linemod::Modality::~Modality | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ create() [1/2]

static Ptr< Modality > cv::linemod::Modality::create | ( | const FileNode & | fn | ) |
| static

Python:
| cv.linemod.Modality.create( | modality_type | ) -> | retval
| cv.linemod.Modality.create( | fn | ) -> | retval
| cv.linemod.Modality_create( | modality_type | ) -> | retval
| cv.linemod.Modality_create( | fn | ) -> | retval

Load a modality from file.

## ◆ create() [2/2]

static Ptr< Modality > cv::linemod::Modality::create | ( | const String & | modality_type | ) |
| static

Python:
| cv.linemod.Modality.create( | modality_type | ) -> | retval
| cv.linemod.Modality.create( | fn | ) -> | retval
| cv.linemod.Modality_create( | modality_type | ) -> | retval
| cv.linemod.Modality_create( | fn | ) -> | retval

Create modality by name.

The following modality types are supported:

- "ColorGradient"
- "DepthNormal"

## ◆ name()

virtual String cv::linemod::Modality::name | ( |  | ) | const
| pure virtual

Python:
| cv.linemod.Modality.name( |  | ) -> | retval

Implemented in cv::linemod::ColorGradient, and cv::linemod::DepthNormal.

## ◆ process()

Ptr< QuantizedPyramid > cv::linemod::Modality::process | ( | const Mat & | src,
|  | const Mat & | mask = Mat() ) const
| inline

Python:
| cv.linemod.Modality.process( | src[, mask] | ) -> | retval

Form a quantized image pyramid from a source image.

Parameters

  [in] | src | The source image. Type depends on the modality.
  [in] | mask | Optional mask. If not empty, unmasked pixels are set to zero in quantized image and cannot be extracted as features.

## ◆ processImpl()

virtual Ptr< QuantizedPyramid > cv::linemod::Modality::processImpl | ( | const Mat & | src,
|  | const Mat & | mask ) const
| protected pure virtual

Implemented in cv::linemod::ColorGradient, and cv::linemod::DepthNormal.

## ◆ read()

virtual void cv::linemod::Modality::read | ( | const FileNode & | fn | ) |
| pure virtual

Python:
| cv.linemod.Modality.read( | fn | ) -> | None

Implemented in cv::linemod::ColorGradient, and cv::linemod::DepthNormal.

## ◆ write()

virtual void cv::linemod::Modality::write | ( | FileStorage & | fs | ) | const
| pure virtual

Implemented in cv::linemod::ColorGradient, and cv::linemod::DepthNormal.

The documentation for this class was generated from the following file:

- opencv2/rgbd/linemod.hpp